restinio::easy_parser::impl::transformer_tag< Result_Type > Struct Template Reference

A special base class to be used with transformers. More...

`#include <easy_parser.hpp>`

## Public Types

using | result_type = Result_Type

## Static Public Attributes

static constexpr entity_type_t | entity_type = entity_type_t::transformer

## Detailed Description

template<typename Result_Type>
struct restinio::easy_parser::impl::transformer_tag< Result_Type >

A special base class to be used with transformers.

Every transformer class should have the following content:

class some_transformer_type
{
public:
using result_type = ... // some transformer-specific type.
static constexpr entity_type_t entity_type = entity_type_t::transformer;
result_type
transform(Input_Type && from);
...
};
restinio::easy_parser::impl::entity_type_t
entity_type_t
A marker for distinguish different kind of entities in parser.
Definition: easy_parser.hpp:901
restinio::easy_parser::impl::entity_type_t::transformer
@ transformer
Entity is a transformer of a value from one type to another.
restinio::transforms::zlib::transform
std::string transform(string_view_t input, const params_t &params)
Do a specified zlib transformation.
Definition: zlib.hpp:878
restinio::easy_parser::impl::transformer_tag::result_type
Result_Type result_type
Definition: easy_parser.hpp:1000
restinio::easy_parser::impl::transformer_tag::entity_type
static constexpr entity_type_t entity_type
Definition: easy_parser.hpp:1001

where `Input_Type` is transformer's specific types.

Since
  v.0.6.1

Definition at line 998 of file easy_parser.hpp.

## Member Typedef Documentation

## result_type

template<typename Result_Type >

using restinio::easy_parser::impl::transformer_tag< Result_Type >::result_type = Result_Type

Definition at line 1000 of file easy_parser.hpp.

## Member Data Documentation

## entity_type

template<typename Result_Type >

constexpr entity_type_t restinio::easy_parser::impl::transformer_tag< Result_Type >::entity_type = entity_type_t::transformer

staticconstexpr

Definition at line 1001 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp